<% // Text display for slide pages
  first=true; 
  if(tsNumber)   { if(first) first=false; else out.print(" | "); out.print(imageNum); }
  if(tsComment)
    if(comment!=void && comment!=null && comment.length()>0) { 
      if(first) first=false; else out.print(" | "); out.print("<span class=\"comment\">" + comment + "</span>");
    }
    else if(tsUseLabelIfNoComment && !tsFileName && !tsLabel) {
      if(first) first=false; else out.print(" | "); out.print("(<span class=\"comment\">" + label + "</span>)");
    }
  if(tsLabel)    { if(first) first=false; else out.print(" | "); out.print(label); }
  if(tsFileName) { if(first) first=false; else out.print(" | "); out.print(fileName); }
  if(tsDate)     { if(first) first=false; else out.print(" | "); out.print((originalDate!=void)? originalDate : fileDate); }
  if(tsSize)     { if(first) first=false; else out.print(" | "); out.print(originalWidth + "x" + originalHeight + " (" + fileSize/1024 + "kB)"); } 

	// ------------- Oli "new picture" - begin
		// 86400000 = one day in ms = 24 * 3600 * 1000
  	int periodMs = 7 * 86400000;
  	Calendar rightNow = Calendar.getInstance();
		if ((rightNow.getTimeInMillis() - fileDate.getTime())<=periodMs) out.print("<img src='$resPath/newfile.gif' title=''>");	  	
	// ------------- Oli "new picture" - end

%>